# -*- coding: utf-8 -*-

import json

from django.conf import settings

from utils.redis.rkeys import GUEST_ENTRANCE_CONTROL_INFO


r = settings.REDIS_CACHE


# 游客入口控制相关


def set_guest_entrance_control(gen):
    """ 设置游客入口控制 """
    r.set(GUEST_ENTRANCE_CONTROL_INFO, json.dumps(gen.data))
    return gen.data


def get_guest_entrance_control():
    """ 获取游客入口控制 """
    return json.loads(r.get(GUEST_ENTRANCE_CONTROL_INFO) or '{}')


def delete_guest_entrance_control():
    """ 删除游客入口控制 """
    return r.delete(GUEST_ENTRANCE_CONTROL_INFO)
